# Uses of Enum Class
org.apache.sysds.common.Builtins

Packages that use Builtins
Package
Description
org.apache.sysds.common
org.apache.sysds.parser

## Uses of Builtins in org.apache.sysds.common

Methods in org.apache.sysds.common that return Builtins
Modifier and Type
Method
Description
`static Builtins`
Builtins.`get(String name)`
`static Builtins`
Builtins.`get(String name, boolean params)`
`static Builtins`
Builtins.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Builtins[]`
Builtins.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Builtins in org.apache.sysds.parser

Fields in org.apache.sysds.parser with type parameters of type Builtins
Modifier and Type
Field
Description
`static HashMap<Builtins,Types.ParamBuiltinOp>`
ParameterizedBuiltinFunctionExpression.`pbHopMap`
Methods in org.apache.sysds.parser that return Builtins
Modifier and Type
Method
Description
`Builtins`
BuiltinFunctionExpression.`getOpCode()`
`Builtins`
ParameterizedBuiltinFunctionExpression.`getOpCode()`
`static Builtins`
BuiltinFunctionExpression.`getValueTypeCastOperator(Types.ValueType vt)`
Convert a value type (double, int, or boolean) to a built-in function operator.
Methods in org.apache.sysds.parser with parameters of type Builtins
Modifier and Type
Method
Description
`void`
ParameterizedBuiltinFunctionExpression.`setOpcode(Builtins op)`
Constructors in org.apache.sysds.parser with parameters of type Builtins
Modifier
Constructor
Description
``
`BuiltinFunctionExpression(org.antlr.v4.runtime.ParserRuleContext ctx, Builtins bifop, ArrayList<ParameterExpression> args, String fname)`
``
`BuiltinFunctionExpression(org.antlr.v4.runtime.ParserRuleContext ctx, Builtins bifop, Expression[] args, String fname)`
``
`BuiltinFunctionExpression(Builtins bifop, Expression[] args, ParseInfo parseInfo)`
``
`ParameterizedBuiltinFunctionExpression(org.antlr.v4.runtime.ParserRuleContext ctx, Builtins op, LinkedHashMap<String,Expression> varParams, String filename)`
``
`ParameterizedBuiltinFunctionExpression(Builtins op, LinkedHashMap<String,Expression> varParams, ParseInfo parseInfo)`